OPAM-PIN(1)

NAME

opam-pin - Pin a given package to a specific version.

SYNOPSIS

opam pin [OPTION]... [PACKAGE] [PIN]

DESCRIPTION

This command will 'pin' a package to a specific version, or use a specific source path for installing and upgrading the package. Using opam pin <package> none will undo the 'pinned' status of <package>.

It is possible to pin a package to a specific git commit/tag/branch with opam pin <package> </path/to/git>#<commit>.

To list all the currently pinned packages, call the opam pin without arguments or use --list.

ARGUMENTS

PACKAGE
    Package name.

PIN Specific version, local path, git or darcs url to pin the package to, or 'none' to unpin the package.

OPTIONS

-f, --force
    Disable consistency checks.

-k KIND, --kind=KIND
    Force the kind of pinning.

-l, --list
    List the currently pinned packages.

COMMON OPTIONS

These options are common to all commands.

--debug
    Print debug message on stdout. This is equivalent to setting $OPAMDEBUG to a value greater or equal to 2.

--git-version
    Print the git version if it exists and exit.

--help[=FMT] (default=pager)
    Show this help in format FMT (pager, plain or groff).

--no-base-packages
    Do not install base packages (useful for testing purposes). This is equivalent to setting $OPAMNOBASEPACKAGES to a non-empty string.

-q, --quiet
    Be quiet when installing a new compiler.

-r ROOT, --root=ROOT (absent=/Users/tgazagna/.opam)
    Use ROOT as the current root path. This is equivalent to setting $OPAMROOT to ROOT.

--switch=SWITCH
    Use SWITCH as the current compiler switch. This is equivalent to setting $OPAMSWITCH to SWITCH.

-v, --verbose
    Be more verbose. This is equivalent to setting either $OPAMDEBUG to a value greater or equal to 1 or $OPAMVERBOSE to a non-empty string.

--version
    Show version information.

-y, --yes
    Disable interactive mode and answer yes to all questions that would otherwise be asked to the user. This is equivalent to setting $OPAMYES to a non-empty string.

FURTHER DOCUMENTATION

See http://opam.ocamlpro.com.

AUTHORS

Thomas Gazagnaire <thomas.gazagnaire@ocamlpro.com>

Frederic Tuong <tuong@users.gforge.inria.fr>

Vincent Bernardoff <vb@luminar.eu.org>

Guillem Rieu <guillem.rieu@ocamlpro.com>

BUGS

Check bug reports at https://github.com/OCamlPro/opam/issues.